import java.util.*;

/** Klasse Reifen
 * @author Alexander Dietz 
 * @version 7. Mrz 2007
*/

public class Reifen
{
    
    private Kreis kreis1;
    private Kreis kreis2;
    private Kreis kreis3;
       

    /**
     * Erzeuge ein Exemplar der Klasse Reifen bestehend aus drei Kreisen.
   *  @param x  die x-Koordinate des Mittelpunktes
   *  @param y  die y-Koordinate des Mittelpunktes
   *  @param rad der Radius des Reifens
   */

   
    public Reifen(int x, int y, int rad)
    {
        kreis1 = new Kreis(x,y,rad,"schwarz");
        kreis2 = new Kreis(x,y,rad*2/3,"grau");
        kreis3 = new Kreis(x,y,rad/10,"schwarz");
    }

    /**
     * Zeichne die Zeichnung.
     */ 
    public void zeichnen()
    {
        kreis1.zeichnen();        
        kreis2.zeichnen();      
        kreis3.zeichnen(); 
     }
    
    
    /**
     * Lsche die Zeichnung des Reifens
     */ 
    
    public void loeschen()
    {
       kreis1.loeschen();
       kreis2.loeschen();
       kreis3.loeschen();
    }
        
    /**
   * Verschiebe die Position des Reifens
   * (Angabe der Verschiebung in x- und y-Richtung).
   * @param dx  Verschiebung in x-Richtung
   * @param dy  Verschiebung in y-Richtung
   */
    public void versetzen(int dx, int dy)
    {
       kreis1.verschieben(dx,dy);
       kreis2.verschieben(dx,dy);
       kreis3.verschieben(dx,dy);
           
    }  

            
}  
